using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenAuth.App.ServiceApp.FireManagement.Response
{
    public class RYResApp
    {
        public string CreateId { get; set; }
        public string Name { get; set; }
        public DateTime CreateTime { get; set; }
        public string Lng { get; set; }
        public string Lat { get; set; }
        public string Type { get; set; }
        public int Identity { get; set; }
        public string Phone { get; set; }
        public string UnitName { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        public int top { get; set; }
        /// <summary>
        /// 是否是联系人
        /// </summary>
        public int iscontacts { get; set; }
    }

    public enum UserIdentity
    {
        [Description("系统管理员")]
        XTGLY = 0,
        [Description("管理员")]
        GLY = 1,
        [Description("护林员")]
        HLY = 2,
        [Description("巡查员")]
        XCY = 3,
        [Description("网格员")]
        WGY = 4,
        [Description("其他")]
        QT = 5,
        [Description("国有林场护林员")]
        GYLCHLY = 6
    }
}
